<?php 
// Display World Map at front-side.
function pa_include_worldmap( $current, $worldmap_stats ) {
    ?>
    <div class="data_boxes">
        <div class="data_boxes_title"><?php //echo _e( 'Top Countries', 'wp-analytify'); ?> <div class="arrow_btn"></div></div>
        <div class="data_container">
            <?php
            if (! empty( $worldmap_stats["rows"] ) ) { ?>
            <script type="text/javascript" src="https://www.google.com/jsapi"></script>
            <script type='text/javascript'>
                google.load('visualization', '1', {'packages': ['geochart'],'callback': drawRegionsMap});
                google.setOnLoadCallback(drawRegionsMap);
                function drawRegionsMap() {
                    var data = google.visualization.arrayToDataTable([
                      ['Country', 'Visitors'],
                      <?php
                      foreach ($worldmap_stats["rows"] as $c_stats): ?>
                      ['<?php echo $c_stats[0];?>', <?php echo $c_stats[1]; ?>],
                  <?php endforeach; ?>
                  ]);
                    var options = {displayMode: 'regions'};
                    var formatter = new google.visualization.NumberFormat({fractionDigits: 0});
                    formatter.format(data, 1);
                    
                    var chart = new google.visualization.GeoChart(document.getElementById('wm_chart_div'));
                    chart.draw(data, options);
                };
            </script>
            <div id="wm_chart_div" style="width: 600px; height: 450px; margin:0 auto;" ></div>

            <?php } ?>
        </div>
    </div> 
    <?php } ?>